PHP Warning 3 Standard DLLs können nicht geladen werden

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

PHP Warning 3 Standard DLLs können nicht geladen werden

Postby Forrest Gump » 14. June 2007 02:12

Umgebung: xampp1.6.1, Win98SE, E:\xampp, ZIP-Installation, setup_xampp.bat ausgeführt.

Ich bekomme folgende Fehlermeldung:

PHP Warning: PHP Startup: Unable to load dynamic library 'E:\\xampp\\php\\ext\\php_imap.dll' - Ein an das System angeschlossenes Ger\xe4t funktioniert nicht.\r\n in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library 'E:\\xampp\\php\\ext\\php_pgsql.dll' - Ein an das System angeschlossenes Ger\xe4t funktioniert nicht.\r\n in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library 'E:\\xampp\\php\\ext\\php_svn.dll' - Ein an das System angeschlossenes Ger\xe4t funktioniert nicht.\r\n in Unknown on line 0

Nun die Fragen: Habe ich etwas falsch gemacht? Gibt es eine Möglichkeit die DLLs zu laden? Brauche ich die DLLs? Was fehlt mir nachher, wenn ich die DLLs in der PHP.ini ausdokumentieren würde.
User avatar
Forrest Gump
 
Posts: 11
Joined: 02. June 2007 11:26

Postby Wiedmann » 14. June 2007 02:28

Brauche ich die DLLs?

Das kannst eigentlich nur du wissen... (i.d.R. aber eher nicht)

Was fehlt mir nachher, wenn ich die DLLs in der PHP.ini ausdokumentieren würde.

Das steht im PHP-Manual, für was diese Extensions da sind.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby Forrest Gump » 14. June 2007 13:31

Das kannst eigentlich nur du wissen... (i.d.R. aber eher nicht)


Da sie zu den aktivierten Erweiterungen nach der ZIP Installation von xampp1.6.1 gehören, dachte ich, sie wären absolut erforderlich und wichtig...

Das steht im PHP-Manual, für was diese Extensions da sind.


...scheinen sie wohl allerdings nicht zu sein, über php_svn.dll ist fast gar nichts herauszufinden, außer dass man es wohl deaktivieren soll, da es buggy bzw. beta ist.

php_imap.dll werde ich wohl benötigen in Verbindung mit IMAP Postfächern.

php_pgsql.dll werde ich wohl nicht benötigen, solange ich mich auf MySql Datenbanken beschränke.

Das ist das, was ich aus den Informationen, die ich ergattern konnte herausgelesen habe.

Bis jetzt funktioniert bei mir ja auch alles, hab eben nur nicht gerne Fehlermeldungen, macht irgendwie nervös. :? :D
User avatar
Forrest Gump
 
Posts: 11
Joined: 02. June 2007 11:26


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 8 guests